Compose Finance
Deposit wallets

Delete customer wallet

Deletes a customer wallet. This action cannot be undone. **Note:** Unlicensed organizations cannot delete customer wallets as a wallet is required for deposit processing.

DELETE
/api/v2/customers/{customerId}/deposit/wallets/{walletId}

Deletes a customer wallet. This action cannot be undone.

Note: Unlicensed organizations cannot delete customer wallets as a wallet is required for deposit processing.

Authorization

bearerAuth
AuthorizationBearer <token>

Organization API key obtained from PropelAuth

In: header

Path Parameters

customerId*string
walletId*string

Response Body

application/json

application/json

application/json

application/json

curl -X DELETE "https://compose.finance/api/v2/customers/string/deposit/wallets/string"
{
  "success": true,
  "message": "Wallet deleted successfully"
}
{
  "error": "Unauthorized - Invalid or missing API key or session"
}

{
  "error": "Customer wallets feature is not enabled for your organization"
}

{
  "error": "Invalid request data"
}